%define tarball xf86-video-rendition
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 rendition video driver
Name:      	xorg-x11-drv-rendition
Version:   	4.1.3
Release:   	2
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	rendition.xinf

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-rendition

%description 
X.Org X11 rendition video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/rendition_drv.so
# FIXME: These firmware and data files should really be converted to C
# code and included in the driver directly.
%{moduledir}/v10002d.uc
%{moduledir}/v20002d.uc
#%dir %{_mandir}/man4x
%{_mandir}/man4/rendition.4*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Initial release
